Bug 130420 - graphics/p5-Imager XS lacks of freetype header
Summary: graphics/p5-Imager XS lacks of freetype header
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lars Balker Rasmussen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-12 13:20 UTC by Peter
Modified: 2009-01-31 14:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter 2009-01-12 13:20:04 UTC
the font.c of p5-Imager fails to compile without ft2build.h inclusion. It does after patch of the include presence.
===
===>  Building for p5-Imager-0.67_1
cc -c  -I/usr/local/include   -I/usr/local/include/freetype2 -I/usr/local/include  -I/usr/local/include/freetype2/freetype -I/usr/local/include/freetype1/freetype  -O2 -fno-strict-aliasing -pipe -O2 -fno-strict-aliasing -pipe    -DVERSION=\"0.67\"  -DXS_VERSION=\"0.67\" -DPIC -fPIC "-I/usr/local/lib/perl5/5.8.8/mach/CORE"  -DOS_freebsd -I/usr/local/include -O2 -fno-strict-aliasing -pipe font.c
In file included from font.c:772:
/usr/local/include/freetype2/freetype/freetype.h:20:2: error: #error "`ft2build.h' hasn't been included yet!"
/usr/local/include/freetype2/freetype/freetype.h:21:2: error: #error "Please always use macros to include FreeType header files."
/usr/local/include/freetype2/freetype/freetype.h:22:2: error: #error "Example:"
/usr/local/include/freetype2/freetype/freetype.h:23:2: error: #error "  #include <ft2build.h>"
/usr/local/include/freetype2/freetype/freetype.h:24:2: error: #error "  #include FT_FREETYPE_H"
*** Error code 1
===

Fix: 

#include <ft2build.h> at the line 20 of font.h 
But unsure if it's right thing to do.
How-To-Repeat: cd /usr/ports/graphics/p5-Imager
make
Comment 1 Peter 2009-01-12 13:30:16 UTC
God love is hard to find. You got lucky FreeBSD-gnats-submit!
2009/01/12 13:20:04 +0000 FreeBSD-gnats-submit@FreeBSD.org => To Peter Vereshagin :

sorry, not line 20, but font.c:772 .

73! Peter
-- 
http://vereshagin.org
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2009-01-12 14:30:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lbr

Over to maintainer.
Comment 3 tony 2009-01-31 00:56:02 UTC
This is a conflict between the freetype 1.x and freetype 2.x headers,
and can be reproduced by installing freetype 1.3 port (print/freetype)
before attempting to build graphics/p5-Imager.

Imager can be built with both sets of headers, but the p5-Imager ports
Makefile incorrectly sets IM_INCPATH to point at the freetype 2.x
freetype.h directory, causing the conflict.

If you remove IM_INCPATH from the Makefile p5-Imager will build
correctly.

Tony
upstream Imager maintainer
Comment 4 dfilter service freebsd_committer 2009-01-31 13:56:28 UTC
lbr         2009-01-31 13:56:14 UTC

  FreeBSD ports repository

  Modified files:
    graphics/p5-Imager   Makefile 
  Log:
  Fix freetype1 compilation issue.
  
  Tony Cook (Imager author) wrote regarding the PR:
  
   This is a conflict between the freetype 1.x and freetype 2.x headers,
   and can be reproduced by installing freetype 1.3 port (print/freetype)
   before attempting to build graphics/p5-Imager.
  
   Imager can be built with both sets of headers, but the p5-Imager ports
   Makefile incorrectly sets IM_INCPATH to point at the freetype 2.x
   freetype.h directory, causing the conflict.
  
   If you remove IM_INCPATH from the Makefile p5-Imager will build
   correctly.
  
  No revision-bump needed - it either installed fine or not at all before.
  
  PR:             130420
  Submitted by:   Peter Vereshagin <peter@vereshagin.org>
  
  Revision  Changes    Path
  1.38      +1 -2      ports/graphics/p5-Imager/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Lars Balker Rasmussen freebsd_committer 2009-01-31 13:56:51 UTC
State Changed
From-To: open->closed

Thank you, it's been resolved after feedback from upstream.